glibmm: Glib::Container_Helpers::ListHandleIterator< Tr > Class Template Reference

glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::Container_Helpers::ListHandleIterator< Tr > Class Template Reference
Helper classes

`#include <glibmm/listhandle.h>`

## Public Types
typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::forward_iterator_tag | iterator_category
typedef CppType | value_type
typedef std::ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer

## Public Member Functions
| ListHandleIterator (const GList* node)
value_type | operator* () const
ListHandleIterator< Tr >& | operator++ ()
const ListHandleIterator< Tr > | operator++ (int)
bool | operator== (const ListHandleIterator< Tr >& rhs) const
bool | operator!= (const ListHandleIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

typedef Tr::CppType Glib::Container_Helpers::ListHandleIterator< Tr >::CppType

template <class Tr >

typedef Tr::CType Glib::Container_Helpers::ListHandleIterator< Tr >::CType

template <class Tr >

typedef std::ptrdiff_t Glib::Container_Helpers::ListHandleIterator< Tr >::difference_type

template <class Tr >

typedef std::forward_iterator_tag Glib::Container_Helpers::ListHandleIterator< Tr >::iterator_category

template <class Tr >

typedef void Glib::Container_Helpers::ListHandleIterator< Tr >::pointer

template <class Tr >

typedef value_type Glib::Container_Helpers::ListHandleIterator< Tr >::reference

template <class Tr >

typedef CppType Glib::Container_Helpers::ListHandleIterator< Tr >::value_type

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::ListHandleIterator< Tr >::ListHandleIterator | ( | const GList * | node | ) |
| inlineexplicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::ListHandleIterator< Tr >::operator!= | ( | const ListHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

value_type Glib::Container_Helpers::ListHandleIterator< Tr >::operator* | ( |  | ) | const
| inline

template <class Tr >

ListHandleIterator<Tr>& Glib::Container_Helpers::ListHandleIterator< Tr >::operator++ | ( |  | ) |
| inline

template <class Tr >

const ListHandleIterator<Tr> Glib::Container_Helpers::ListHandleIterator< Tr >::operator++ | ( | int |  | ) |
| inline

template <class Tr >

bool Glib::Container_Helpers::ListHandleIterator< Tr >::operator== | ( | const ListHandleIterator< Tr >& | rhs | ) | const
| inline